package it.favaroni.db.connectionpool;

/**
 * Thread dedicato al controllo periodico del pool delle connessioni alla ricerca di connessioni appese.
 * Data di creazione: (26/06/2003 10.04.57)
 * @author: Roberto Favaroni
 */

import java.sql.*;

public class ConnectionManager implements Runnable {
    private boolean alive = false;
    private int interval;
/**
 * Commento del constructor ConnectionManager.
 */
public ConnectionManager(int interval) {
    super();
    setInterval(interval);
}
protected void finalize() throws Throwable {
    super.finalize();
}
/**
 * 
 * @return int
 */
private int getInterval() {
	return interval;
}
/**
 * 
 * @return boolean
 */
public boolean isAlive() {
	return alive;
}
public void run() {
    try {
        while (isAlive()) {
            Thread.sleep(interval * 1000);
            ConnectionPool.getInstance().cleanPool();
        }
    } catch (InterruptedException ie) {
	    ie.printStackTrace();
    } catch (Exception e) {
	    e.printStackTrace();
    }
}
/**
 * 
 * @param newAlive boolean
 */
public void setAlive(boolean newAlive) {
	alive = newAlive;
}
/**
 * 
 * @param newInterval int
 */
private void setInterval(int newInterval) {
	interval = newInterval;
}
}
